Get health

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /public/v2/foreman-health

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Query parameters

  • agentType string Required

    Values are FULL or KB.

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • agentType string

      Values are FULL or KB.

    • serviceStatus string

      Values are UP or DOWN.

    • details object
      Hide details attribute Show details attribute object
      • * string Additional properties

        Values are UP or DOWN.

GET /public/v2/foreman-health
curl \
 --request GET 'https://live.smartpmtech.com/public/v2/foreman-health?agentType=FULL' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
{
  "agentType": "FULL",
  "serviceStatus": "UP",
  "details": {
    "additionalProperty1": "UP",
    "additionalProperty2": "UP"
  }
}